<?php
/**
 * Template Name: Home
 *
 * Description: A Page Template for displaying custom home page
 *
 * @package skyfall
 * @author Satrya
 * @copyright Copyright (c) 2013, Satrya
 * @license docs/license.txt
 * @since 1.0
 *
 */

// Loads the header.php template
get_header(); 
?>

 	<?php 
 		// Action hook for placing content before opening #primary
 		do_action( 'skyfall_content_before' ); 
 	?>
 		
	<div id="primary" class="site-content <?php skyfall_content_class(); ?>">
		
		<?php 
			// Action hook for placing content before opening #content
			do_action( 'skyfall_content_open' ); 
		?>
		
		<div id="content" class="content hfeed" role="main">
			
			<?php 
			$defaults = array(
				'post_type'		=> 'post',
				'post_status'	=> 'publish'
	        );

	        $args = apply_filters( 'skyfall_home_query', $defaults );
	        $home_query = new WP_Query( $args );

	        if ( $home_query->have_posts() ) : ?>

				<?php while ( $home_query->have_posts() ) : $home_query->the_post(); ?>

					<article <?php hybrid_post_attributes(); ?>>

						<figure class="hmedia">
							<?php if ( current_theme_supports( 'get-the-image' ) ) get_the_image( array( 'meta_key' => 'Thumbnail', 'size' => 'skyfall-blog-thumbnail', 'image_class' => 'photo' ) ); ?>
						</figure>
						
						<?php echo apply_atomic_shortcode( 'entry_title', '[entry-title]' ); // Post title ?>

					</article>

				<?php endwhile; ?>

			<?php elseif ( current_user_can( 'edit_posts' ) ) : // check, if current user can edit posts ?>

				<?php 
					// Loads the no-results.php template
					get_template_part( 'no-results' ); 
				?>

			<?php endif; wp_reset_postdata(); ?>
			
		</div><!-- #content .content .hfeed -->
		
		<?php 
			// Action hook for placing content after closing #content
			do_action( 'skyfall_content_close' ); 
		?>
		
	</div><!-- #primary .site-content .has-sidebar -->
 		
 	<?php 
 		// Action hook for placing content after closing #primary
 		do_action( 'skyfall_content_after' ); 
 	?>
 
<?php 
	// Loads the footer.php template
	get_footer(); 
?>